<div class="modal-header">
  <h4 class="modal-title pull-left">Bild hochladen</h4>
  <button type="button" class="close pull-right" aria-label="Close" (click)="modalRef.hide()">
    <span aria-hidden="true">&times;</span>
  </button>
</div>
<div class="modal-body">
  <div class="custom-file">
    <input type="file" accept="image/*" class="custom-file-input" id="customFile" name="userCsv" (change)="fileChangeEvent($event)">
    <label class="custom-file-label" for="customFile" data-browse="Suchen">
      <ng-container *ngIf="!file">
        Bild hochladen
      </ng-container>
      <ng-container *ngIf="file">
        {{imageChangedEvent.target.files[0].name}}
      </ng-container>
    </label>
  </div>
  <div class="mt-3 d-flex justify-content-center" *ngIf="editPictureEvent">
    <div class="spinner-border text-primary" role="status">
      <span class="sr-only">Loading...</span>
    </div>
  </div>
  <image-cropper
      [imageChangedEvent]="imageChangedEvent"
      [maintainAspectRatio]="true"
      [containWithinAspectRatio]="true"
      [aspectRatio]="aspectRatio"
      [resizeToWidth]="resizeWidth"
      [resizeToHeight]="resizeHeight"
      format="png"
      outputType="both"
      (imageCropped)="imageCropped($event)"
      (imageLoaded)="imageLoaded()"
      (cropperReady)="cropperReady()"
      [style.display]="showCropper ? null : 'none'"
  ></image-cropper>
  <div class="mt-2" *ngIf="uploadStarted">
    <progressbar max="100" [value]="percentDone" type="success" [striped]="true" [animate]="true"><i>{{percentDone}} %</i></progressbar>
  </div>
  <div class="mt-2">
    <alert type="success" *ngIf="percentDone == 100">
      <strong>Upload erfolgreich!</strong>
    </alert>
  </div>
  <div class="mt-2">
    <alert type="danger" *ngIf="wrongType">
      <strong>Ungültiges Dateiformat!</strong>
    </alert>
  </div>
</div>
<div class="modal-footer">
  <button type="button" class="btn btn-outline-primary float-left" (click)="rotate()" *ngIf="file">Bild drehen</button>
  <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="modalRef.hide()">Schließen</button>
  <button type="button" class="btn btn-success" data-dismiss="modal" (click)="submit()" [disabled]="wrongType || !file">Hochladen</button>
</div>
